︠e038ea2f-a72e-4b7c-8a85-2201006c6d30i︠
%html
<p><span style="text-decoration: underline;"><span style="color: #888888;"><strong>Chain Rule</strong></span></span></p>
<p><span style="color: #888888;">Suppose that $f, g$ are differentiable. And The derivative of compose of $f$ and $g$, $F=f(g(x))$ is:</span></p>
<p><span style="text-decoration: underline;"><strong><span style="color:  #ff0000;">Formula:</span></strong></span></p>
<table border="0">
<tbody>
<tr>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /></td>
<td>$ \frac{d}{d x}F(x)$</td>
<td>=</td>
<td>&nbsp;$\frac{d}{d x} f(g(x)))$</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>=</td>
<td>&nbsp;$\frac{d}{d g(x)}$ $f(g(x))$ &bull; $\frac{ dg(x)}{d x}$</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>=</td>
<td>&nbsp;$f'(u) &bull; u'(x)$</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>=</td>
<td>&nbsp;$f'(g(x)) g'(x)$</td>
</tr>
</tbody>
</table>
<p>&nbsp;</p>
<p><span style="color: #0000ff;"><span style="text-decoration: underline;"><strong>Graphical  Representation: </strong></span></span></p>
<div style="text-align: center;">
<table style="width: 476px; height: 129px;" border="0">
<tbody>
<tr>
<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /></td>
<td>
<p>&nbsp;</p>
<p>&nbsp;</p>
</td>
<td>$g(x)$</td>
<td>&nbsp;</td>
<td>$f(")$</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>$x$</td>
<td>$\longrightarrow$</td>
<td>$g(x)$</td>
<td>$\longrightarrow$</td>
<td>
<p>$f(g(x))$</p>
</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>$\downarrow$</td>
<td>&nbsp;</td>
<td>$\downarrow$</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>$g'(x)$</td>
<td>$\times$</td>
<td>$f'(")$</td>
<td>&nbsp;</td>
</tr>
<tr>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>&nbsp;</td>
<td>$\downarrow$
<p>$f'(g(x))g'(x)$</p>
</td>
<td>&nbsp;</td>
<td>
<p><span id="cell_outer_0"><br /></span></p>
</td>
</tr>
</tbody>
</table>
</div>
<div style="text-align: left;"></div>
<div style="text-align: left;"><span style="color: #ff6600;"><strong><span style="font-size: medium;"><span style="text-decoration: underline;"><span style="font-size: large;">Usage:</span></span></span></strong></span></div>
<div style="text-align: left;"><span style="font-size: medium;">&nbsp;&nbsp; &nbsp;<span style="color: #0000ff;"> </span></span></div>
<div style="text-align: left;"><span style="font-size: medium;"><span style="color: #0000ff;">ChainRule(</span> <span style="color: #808000;">f(u)</span>,  <span style="color: #808000;">g(x)</span>,  <span style="color: #808000;">x</span><span style="color: #0000ff;">)</span></span></div>
<div style="text-align: left;">&nbsp;&nbsp; &nbsp;</div>
<div style="text-align: left;">&nbsp; f(u) :  function of $u=g(x)$</div>
<div style="text-align: left;">&nbsp; g(x) :  function of $x$</div>
<div style="text-align: left;">&nbsp;&nbsp;&nbsp; x&nbsp;&nbsp; :  variable $x$</div>
<div style="text-align: left;"></div>
<div style="text-align: left;">Author: chu-ching huang</div>
<div style="text-align: left;">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Chang-gung University, Taiwan</div>
<div style="text-align: left;">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; cchuang_AT_mail.cgu.edu.tw</div>

︡e90ead36-5510-4f1f-af67-a7987bda592f︡{"html": "<p><span style=\"text-decoration: underline;\"><span style=\"color: #888888;\"><strong>Chain Rule</strong></span></span></p>\n<p><span style=\"color: #888888;\">Suppose that $f, g$ are differentiable. And The derivative of compose of $f$ and $g$, $F=f(g(x))$ is:</span></p>\n<p><span style=\"text-decoration: underline;\"><strong><span style=\"color:  #ff0000;\">Formula:</span></strong></span></p>\n<table border=\"0\">\n<tbody>\n<tr>\n<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /></td>\n<td>$ \\frac{d}{d x}F(x)$</td>\n<td>=</td>\n<td>&nbsp;$\\frac{d}{d x} f(g(x)))$</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>=</td>\n<td>&nbsp;$\\frac{d}{d g(x)}$ $f(g(x))$ &bull; $\\frac{ dg(x)}{d x}$</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>=</td>\n<td>&nbsp;$f'(u) &bull; u'(x)$</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>=</td>\n<td>&nbsp;$f'(g(x)) g'(x)$</td>\n</tr>\n</tbody>\n</table>\n<p>&nbsp;</p>\n<p><span style=\"color: #0000ff;\"><span style=\"text-decoration: underline;\"><strong>Graphical  Representation: </strong></span></span></p>\n<div style=\"text-align: center;\">\n<table style=\"width: 476px; height: 129px;\" border=\"0\">\n<tbody>\n<tr>\n<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br /></td>\n<td>\n<p>&nbsp;</p>\n<p>&nbsp;</p>\n</td>\n<td>$g(x)$</td>\n<td>&nbsp;</td>\n<td>$f(\")$</td>\n<td>&nbsp;</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>$x$</td>\n<td>$\\longrightarrow$</td>\n<td>$g(x)$</td>\n<td>$\\longrightarrow$</td>\n<td>\n<p>$f(g(x))$</p>\n</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>$\\downarrow$</td>\n<td>&nbsp;</td>\n<td>$\\downarrow$</td>\n<td>&nbsp;</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>$g'(x)$</td>\n<td>$\\times$</td>\n<td>$f'(\")$</td>\n<td>&nbsp;</td>\n</tr>\n<tr>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>&nbsp;</td>\n<td>$\\downarrow$\n<p>$f'(g(x))g'(x)$</p>\n</td>\n<td>&nbsp;</td>\n<td>\n<p><span id=\"cell_outer_0\"><br /></span></p>\n</td>\n</tr>\n</tbody>\n</table>\n</div>\n<div style=\"text-align: left;\"></div>\n<div style=\"text-align: left;\"><span style=\"color: #ff6600;\"><strong><span style=\"font-size: medium;\"><span style=\"text-decoration: underline;\"><span style=\"font-size: large;\">Usage:</span></span></span></strong></span></div>\n<div style=\"text-align: left;\"><span style=\"font-size: medium;\">&nbsp;&nbsp; &nbsp;<span style=\"color: #0000ff;\"> </span></span></div>\n<div style=\"text-align: left;\"><span style=\"font-size: medium;\"><span style=\"color: #0000ff;\">ChainRule(</span> <span style=\"color: #808000;\">f(u)</span>,  <span style=\"color: #808000;\">g(x)</span>,  <span style=\"color: #808000;\">x</span><span style=\"color: #0000ff;\">)</span></span></div>\n<div style=\"text-align: left;\">&nbsp;&nbsp; &nbsp;</div>\n<div style=\"text-align: left;\">&nbsp; f(u) :  function of $u=g(x)$</div>\n<div style=\"text-align: left;\">&nbsp; g(x) :  function of $x$</div>\n<div style=\"text-align: left;\">&nbsp;&nbsp;&nbsp; x&nbsp;&nbsp; :  variable $x$</div>\n<div style=\"text-align: left;\"></div>\n<div style=\"text-align: left;\">Author: chu-ching huang</div>\n<div style=\"text-align: left;\">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; Chang-gung University, Taiwan</div>\n<div style=\"text-align: left;\">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; cchuang_AT_mail.cgu.edu.tw</div>"}︡
︠5aae878b-46ae-4675-a5d9-64f634fdb293︠
# -*- coding: utf-8 -*-
from sympy import *
var('u x')
def ChainRule(f,g,x):
    f=f
    g=g
    F=f.subs(u,g)
    html("============ <span style=\"color: #0000ff;\"><strong> Chain Rule (鍊鎖法則) </strong></span>=============")
    html('The derivative of \
    <span style=\"color: #ff0000;\"><strong>$f(g(x))$</strong></span> \
    =\
    <span style=\"color: #335500;\"><strong>$%s$</strong></span>\
    '%F)
    print '\nwith  \t f(u)=%s \n     \t u=g(x)=%s \nis' %(f,g)
    html('\t<span style=\"color: #336600;\"><strong>$f\'(g(x)) = %s$</strong></span>'%diff(F,x))
    html('\nsince \
    <span style=\"color: #ff0000;\"><strong>f\'(u)=%s</strong></span> \
     and \
    <span style=\"color: #ff0000;\"><strong> u\'(x)=%s</strong></span> \
    '%(diff(f,u),diff(g,x)))
    print '\n==>\n'
    print ' dF(x)/dx \t= df(g(x))/dx = d(%s)/dx \n \
    \t\t= df(u)/dx = d(%s)/dx\n \
    \t\t= df(u)/du*du/dx \n\
    \t\t= f\'(u) * u\'(x) = [%s]*[%s] \n \t\t= [%s]*[%s] \n   \t\t= %s'\
               %(F,f,diff(f,u),diff(g,x),diff(f,u).subs(u,g),diff(g,x),diff(F,x))
    print "\nThe derivative of F(x) is:\n" 
    pretty_print(diff(F,x))
    print "\n"
    html('========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========')
︡b04d2e5d-6f2c-42b4-b817-445ff7145388︡︡
︠eaa4547a-4900-49cd-8567-feff7983ec15︠
var('n')
ChainRule(u^n,sin(x),x)
︡bfaee519-73c5-4c08-9725-17414caef888︡{"html": "<font color='black'>============ <span style=\"color: #0000ff;\"><strong> Chain Rule (\u934a\u9396\u6cd5\u5247) </strong></span>=============</font>"}︡{"html": "<font color='black'>The derivative of     <span style=\"color: #ff0000;\"><strong><span class=\"math\">f(g(x))</span></strong></span>     =    <span style=\"color: #335500;\"><strong><span class=\"math\">sin(x)**n</span></strong></span>    </font>"}︡{"stdout": "with  \t f(u)=u**n \n     \t u=g(x)=sin(x) \nis"}︡{"html": "<font color='black'>\t<span style=\"color: #336600;\"><strong><span class=\"math\">f'(g(x)) = n*sin(x)**(-1 + n)*cos(x)</span></strong></span></font>"}︡{"html": "<font color='black'>\nsince     <span style=\"color: #ff0000;\"><strong>f'(u)=n*u**(-1 + n)</strong></span>      and     <span style=\"color: #ff0000;\"><strong> u'(x)=cos(x)</strong></span>     </font>"}︡{"stdout": "==>\n\n dF(x)/dx \t= df(g(x))/dx = d(sin(x)**n)/dx \n     \t\t= df(u)/dx = d(u**n)/dx\n     \t\t= df(u)/du*du/dx \n    \t\t= f'(u) * u'(x) = [n*u**(-1 + n)]*[cos(x)] \n \t\t= [n*sin(x)**(-1 + n)]*[cos(x)] \n   \t\t= n*sin(x)**(-1 + n)*cos(x)\n\nThe derivative of F(x) is:\n\n     -1 + n          \nn\u22c5sin      (x)\u22c5cos(x)"}︡{"html": "<font color='black'>========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========</font>"}︡
︠1b386bb3-8ae7-480b-aab0-21b83318e962︠
ChainRule(cos(u),x**3,x)
︡d5d0d68f-6102-42ac-935e-cd5d2e5a9a3b︡{"html": "<font color='black'>============ <span style=\"color: #0000ff;\"><strong> Chain Rule (\u934a\u9396\u6cd5\u5247) </strong></span>=============</font>"}︡{"html": "<font color='black'>The derivative of     <span style=\"color: #ff0000;\"><strong><span class=\"math\">f(g(x))</span></strong></span>     =    <span style=\"color: #335500;\"><strong><span class=\"math\">cos(x**3)</span></strong></span>    </font>"}︡{"stdout": "with  \t f(u)=cos(u) \n     \t u=g(x)=x**3 \nis"}︡{"html": "<font color='black'>\t<span style=\"color: #336600;\"><strong><span class=\"math\">f'(g(x)) = -3*x**2*sin(x**3)</span></strong></span></font>"}︡{"html": "<font color='black'>\nsince     <span style=\"color: #ff0000;\"><strong>f'(u)=-sin(u)</strong></span>      and     <span style=\"color: #ff0000;\"><strong> u'(x)=3*x**2</strong></span>     </font>"}︡{"stdout": "==>\n\n dF(x)/dx \t= df(g(x))/dx = d(cos(x**3))/dx \n     \t\t= df(u)/dx = d(cos(u))/dx\n     \t\t= df(u)/du*du/dx \n    \t\t= f'(u) * u'(x) = [-sin(u)]*[3*x**2] \n \t\t= [-sin(x**3)]*[3*x**2] \n   \t\t= -3*x**2*sin(x**3)\n\nThe derivative of F(x) is:\n\n    2    \u239b 3\u239e\n-3\u22c5x \u22c5sin\u239dx \u23a0"}︡{"html": "<font color='black'>========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========</font>"}︡
︠81b5353c-5516-492f-9a25-347e64880839︠
ChainRule(u**3,cos(x),x)
︡cd890eab-3a04-4040-9cf3-8ab22e0bf453︡{"html": "<font color='black'>============ <span style=\"color: #0000ff;\"><strong> Chain Rule (\u934a\u9396\u6cd5\u5247) </strong></span>=============</font>"}︡{"html": "<font color='black'>The derivative of     <span style=\"color: #ff0000;\"><strong><span class=\"math\">f(g(x))</span></strong></span>     =    <span style=\"color: #335500;\"><strong><span class=\"math\">cos(x)**3</span></strong></span>    </font>"}︡{"stdout": "with  \t f(u)=u**3 \n     \t u=g(x)=cos(x) \nis"}︡{"html": "<font color='black'>\t<span style=\"color: #336600;\"><strong><span class=\"math\">f'(g(x)) = -3*cos(x)**2*sin(x)</span></strong></span></font>"}︡{"html": "<font color='black'>\nsince     <span style=\"color: #ff0000;\"><strong>f'(u)=3*u**2</strong></span>      and     <span style=\"color: #ff0000;\"><strong> u'(x)=-sin(x)</strong></span>     </font>"}︡{"stdout": "==>\n\n dF(x)/dx \t= df(g(x))/dx = d(cos(x)**3)/dx \n     \t\t= df(u)/dx = d(u**3)/dx\n     \t\t= df(u)/du*du/dx \n    \t\t= f'(u) * u'(x) = [3*u**2]*[-sin(x)] \n \t\t= [3*cos(x)**2]*[-sin(x)] \n   \t\t= -3*cos(x)**2*sin(x)\n\nThe derivative of F(x) is:\n\n      2          \n-3\u22c5cos (x)\u22c5sin(x)"}︡{"html": "<font color='black'>========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========</font>"}︡
︠135a37d6-428c-4e3b-98b4-a6c762f7d770︠
def ChainRule2(f,g,x):
    f=f
    g=g
    e=''
    F=f.subs(u,g)
    
    html("============ <span style=\"color: #0000ff;\"><strong> Chain Rule ('鍊鎖法則') </strong></span>=============")
    html('The derivative of \
    <span style=\"color: #ff0000;\"><strong>$f(g(x))$</strong></span> \
    =\
    <span style=\"color: #335500;\"><strong>$%s$</strong></span>\
    '%F)
    print '\n  with  \t f(u)=%s \n \t\t u=g(x)=%s \n' %(f,g)
   
   
    print '\n==>'
    
    print "\n"
    html('\t\t\t$%s$\t %10s  \t$%s$' %(g,e,f))
    html('\t\t $x$ \t $\longrightarrow$ \t $%s$ \t $\longrightarrow$ \t $%s$' %(g,f.subs(u,g)))   
    html('\t(<span style=\"color: #ff0000;\">diff</span>)\t\t  $ \downarrow$\t\t\t   $\downarrow$')

    html('<span style=\"color: #ff0000;\">\t\t\t$%10s$\t        \t$%10s$  </span>' %(g.diff(x),f.diff(u)))
    html('<span style=\"color: #336600;\">\t($u=%s$)\t\t  $\downarrow$</span>' %g)
    html('<span style=\"color: #0000ff;\">\t\t\t  $%s$*%s$</span>' %(g.diff(x),f.diff(u).subs(u,g)))
    html('\n========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========')
︡a7c29adf-bfc5-407a-ae76-c4fa6763d04b︡︡
︠3856ffb4-a329-444c-9e8a-557bd9d9a5a4︠
ChainRule2(exp(u),-x^2,x)
︡178917a8-ea18-4e67-b121-b7a1fabaeace︡{"html": "<font color='black'>============ <span style=\"color: #0000ff;\"><strong> Chain Rule ('\u934a\u9396\u6cd5\u5247') </strong></span>=============</font>"}︡{"html": "<font color='black'>The derivative of     <span style=\"color: #ff0000;\"><strong><span class=\"math\">f(g(x))</span></strong></span>     =    <span style=\"color: #335500;\"><strong><span class=\"math\">exp(-x**2)</span></strong></span>    </font>"}︡{"stdout": "with  \t f(u)=exp(u) \n \t\t u=g(x)=-x**2 \n\n\n==>"}︡{"html": "<font color='black'>\t\t\t<span class=\"math\">-x**2</span>\t           \u00a0\u00a0\t<span class=\"math\">exp(u)</span></font>"}︡{"html": "<font color='black'>\t\t <span class=\"math\">x</span> \t <span class=\"math\">\\longrightarrow</span> \t <span class=\"math\">-x**2</span> \t <span class=\"math\">\\longrightarrow</span> \t <span class=\"math\">exp(-x**2)</span></font>"}︡{"html": "<font color='black'>\t(<span style=\"color: #ff0000;\">diff</span>)\t\t\u00a0\u00a0<span class=\"math\"> \\downarrow</span>\t\t\t \u00a0\u00a0<span class=\"math\">\\downarrow</span></font>"}︡{"html": "<font color='black'><span style=\"color: #ff0000;\">\t\t\t<span class=\"math\">      -2*x</span>\t \u00a0\u00a0 \u00a0   \t<span class=\"math\">    exp(u)</span>\u00a0\u00a0</span></font>"}︡{"html": "<font color='black'><span style=\"color: #336600;\">\t(<span class=\"math\">u=-x**2</span>)\t\t\u00a0\u00a0<span class=\"math\">\\downarrow</span></span></font>"}︡{"html": "<font color='black'><span style=\"color: #0000ff;\">\t\t\t\u00a0\u00a0<span class=\"math\">-2*x</span>*exp(-x**2)<span class=\"math\"></span></span></font>"}︡{"html": "<font color='black'>\n========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========</font>"}︡
︠7775a182-3efb-4f2d-8b95-bdc0e34cb5b3︠
def ChainRule3(f,g,x):
    f=f
    g=g
    e=''
    F=f.subs(u,g)
    
    html("============ <span style=\"color: #0000ff;\"><strong> Chain Rule  </strong></span>=============")
    html('The derivative of \
    <span style=\"color: #ff0000;\"><strong>$f(g(x))$</strong></span> \
    =\
    <span style=\"color: #335500;\"><strong>$%s$</strong></span>\
    '%F)
    print '\n  with  \t f(u)=%s \n \t\t u=g(x)=%s \n' %(f,g)
   
   
    print '\n==>'
    
    print "\n"
    html('<table style=\"width: 476px; height: 129px;\" border=\"0\">')
    html('<tbody>')
    html('<tr>')
    html('<td></td><td></td><td>$%s$</td>' %g)
    html('<td></td><td>$%s$</td>' %f)
    html('</tr>')
    html('<tr>')
    html('<td></td><td>$x$ </td><td>$\longrightarrow$</td><td> $%s$</td>' %g)
    html('<td>$\longrightarrow$</td><td>$%s$</td>' %f.subs(u,g))
    html('</tr>')
    html('<tr>')
    html('<td>(<span style=\"color: #ff0000;\">diff</span>)</td>')
    html('<td> $\downarrow$</td><td></td><td></td><td> $\downarrow$</td>')
    html('</tr>')
    html('<tr>')
    html('<td></td><td>')
    html('<td>$%s$</td><td>  $\\times$</td><td></td><td>$%s$</td>' %(g.diff(x),f.diff(u)))
    html('</tr>')
    html('<tr>')
    html('<td></td><td></td><td></td><td>  $\downarrow$</td>')
    html('</tr>')
    html('<tr>')
    html('<td>($u=%s$)</td><td></td><td></td>' %g)
    html('<td>$%s$ $%s$</td>' %(g.diff(x),f.diff(u).subs(u,g)))
    html('</tr>')
    html('</tbody>')
    html('</table>')
   
    html('\n========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========')
︡fd4706cc-b894-4b00-8d05-59d3df10f5e1︡︡
︠1d0b5412-0022-46ae-ac37-195ae44ba568︠
ChainRule3(sin(u),x^3,x)
︡217fee1f-2f4a-4e51-a779-6133d812a701︡{"html": "<font color='black'>============ <span style=\"color: #0000ff;\"><strong> Chain Rule  </strong></span>=============</font>"}︡{"html": "<font color='black'>The derivative of     <span style=\"color: #ff0000;\"><strong><span class=\"math\">f(g(x))</span></strong></span>     =    <span style=\"color: #335500;\"><strong><span class=\"math\">sin(x**3)</span></strong></span>    </font>"}︡{"stdout": "with  \t f(u)=sin(u) \n \t\t u=g(x)=x**3 \n\n\n==>"}︡{"html": "<font color='black'><table style=\"width: 476px; height: 129px;\" border=\"0\"></font>"}︡{"html": "<font color='black'><tbody></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td></td><td></td><td><span class=\"math\">x**3</span></td></font>"}︡{"html": "<font color='black'><td></td><td><span class=\"math\">sin(u)</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td></td><td><span class=\"math\">x</span> </td><td><span class=\"math\">\\longrightarrow</span></td><td> <span class=\"math\">x**3</span></td></font>"}︡{"html": "<font color='black'><td><span class=\"math\">\\longrightarrow</span></td><td><span class=\"math\">sin(x**3)</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td>(<span style=\"color: #ff0000;\">diff</span>)</td></font>"}︡{"html": "<font color='black'><td> <span class=\"math\">\\downarrow</span></td><td></td><td></td><td> <span class=\"math\">\\downarrow</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td></td><td></font>"}︡{"html": "<font color='black'><td><span class=\"math\">3*x**2</span></td><td>  <span class=\"math\">\\times</span></td><td></td><td><span class=\"math\">cos(u)</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td></td><td></td><td></td><td>  <span class=\"math\">\\downarrow</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'><tr></font>"}︡{"html": "<font color='black'><td>(<span class=\"math\">u=x**3</span>)</td><td></td><td></td></font>"}︡{"html": "<font color='black'><td><span class=\"math\">3*x**2</span> <span class=\"math\">cos(x**3)</span></td></font>"}︡{"html": "<font color='black'></tr></font>"}︡{"html": "<font color='black'></tbody></font>"}︡{"html": "<font color='black'></table></font>"}︡{"html": "<font color='black'>\n========= <span style=\"color: #0000ff;\"><strong> .oo000oo. End .oo000oo. </strong></span> ==========</font>"}︡
